summaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
authorRoland Reichwein <mail@reichwein.it>2023-01-21 12:37:39 +0100
committerRoland Reichwein <mail@reichwein.it>2023-01-21 12:37:39 +0100
commit3d0592e9238a59df54b3e3b757a38fa2e7f0ccfb (patch)
treefc823d93d9d5b01d3071838b279ce9b14ed689e0
parent2e5cab6bfc5fa1b330f89ffa25c52df025efca3e (diff)
whiteboard v1.4
-rwxr-xr-xMakefile20
-rw-r--r--debian/changelog2
-rwxr-xr-xremote-install.sh24
3 files changed, 45 insertions, 1 deletions
diff --git a/Makefile b/Makefile
index 642bb52..6dba940 100755
--- a/Makefile
+++ b/Makefile
@@ -6,8 +6,11 @@
include common.mk
+PROJECTNAME=whiteboard
+
DISTROS=base debian11 ubuntu2210
VERSION=$(shell dpkg-parsechangelog --show-field Version)
+TGZNAME=$(PROJECTNAME)-$(VERSION).tar.xz
INCLUDES=-I.
HEADERS=config.h qrcode.h storage.h whiteboard.h compiledsql.h
@@ -61,6 +64,23 @@ $(DISTROS): deb-src
sudo pbuilder build --basetgz /var/cache/pbuilder/$@.tgz --buildresult result/$@ ../whiteboard_$(VERSION).dsc
debsign result/$@/whiteboard_$(VERSION)_amd64.changes
+DISTFILES=$(shell git ls-files 2>/dev/null)
+
+dist: clean
+ rm -rf $(PROJECTNAME)-$(VERSION)
+ mkdir $(PROJECTNAME)-$(VERSION)
+ cp --parents -r $(DISTFILES) $(PROJECTNAME)-$(VERSION)
+ tar cfJ ../$(PROJECTNAME)-$(VERSION).tar.xz $(PROJECTNAME)-$(VERSION)
+ rm -rf $(PROJECTNAME)-$(VERSION)
+ ls -l ../$(PROJECTNAME)-$(VERSION).tar.xz
+
+upload:
+ scp ../$(TGZNAME) antcom.de:/var/www/reichwein.it-download/
+ scp -r result antcom.de:
+ scp -r remote-install.sh antcom.de:
+ ssh antcom.de ./remote-install.sh $(PROJECTNAME) $(VERSION)
+ ssh antcom.de rm -rf remote-install.sh result
+
debs: $(DISTROS)
.PHONY: clean
diff --git a/debian/changelog b/debian/changelog
index 8639658..0b9c82c 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -4,7 +4,7 @@ whiteboard (1.4) unstable; urgency=medium
* Add tests
* Separated out libreichwein
- -- Roland Reichwein <mail@reichwein.it> Fri, 30 Dec 2022 13:08:49 +0100
+ -- Roland Reichwein <mail@reichwein.it> Sat, 21 Jan 2023 12:20:20 +0100
whiteboard (1.3) unstable; urgency=medium
diff --git a/remote-install.sh b/remote-install.sh
new file mode 100755
index 0000000..6683d2e
--- /dev/null
+++ b/remote-install.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+#
+# Script to be run on target server to install *.deb and *.tgz
+#
+
+set -e
+
+if [ "$#" != "2" ] ; then
+ echo "Usage: remote-install.sh <ProjectName> <Version>"
+ exit 0
+fi
+
+PROJECTNAME=$1
+VERSION=$2
+DISTROS="debian11"
+
+cd /var/www/reichwein.it-debian
+
+for i in $DISTROS; do
+ echo "Installing ${PROJECTNAME} for $i ..."
+ reprepro -C $i --ignore=wrongdistribution include stable /home/rr/result/$i/${PROJECTNAME}_${VERSION}_amd64.changes
+ echo "Copying ${PROJECTNAME} for $i to direct download location ..."
+ #cp /home/rr/result/$i/${PROJECTNAME}_${VERSION}_*.deb /var/www/reichwein.it-download/$i/
+done